Skip to main content
GET
/
v1
/
aave
/
user_position_per_token
Python (SDK)
from compass_api_sdk import CompassAPI, models


with CompassAPI(
    api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:

    res = compass_api.aave_v3.aave_user_position_per_token(chain=models.V1AaveUserPositionPerTokenChain.BASE, user="0x3254f3b1918637ba924e3F18968Cb74219974b63", token="USDC")

    # Handle response
    print(res)
import { CompassApiSDK } from "@compass-labs/api-sdk";

const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});

async function run() {
const result = await compassApiSDK.aaveV3.aaveUserPositionPerToken({
chain: "base",
user: "0x3254f3b1918637ba924e3F18968Cb74219974b63",
token: "USDC",
});

console.log(result);
}

run();
curl --request GET \
--url https://api.compasslabs.ai/v1/aave/user_position_per_token \
--header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.compasslabs.ai/v1/aave/user_position_per_token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token_balance": "<string>",
  "stable_debt": "<string>",
  "variable_debt": "<string>",
  "principal_stable_debt": "<string>",
  "principal_variable_debt": "<string>",
  "stable_borrow_rate": "<string>",
  "stable_borrow_rate_for_new_loans": "<string>",
  "variable_borrow_rate": "<string>",
  "liquidity_rate": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Your Compass API Key. Get your key here.

Query Parameters

chain
enum<string>
default:base
required
Available options:
arbitrum,
base,
ethereum
block
integer | null

Optional block number (defaults to latest).

user
string
default:0x3254f3b1918637ba924e3F18968Cb74219974b63
required

The user to fetch the token-specific position of.

token
string
default:USDC
required

The symbol or address of the asset to fetch the user's position on.. A token identifier - either a supported symbol (e.g., USDC, WETH) or a valid Ethereum address (0x...)

Examples:

"USDC"

"WETH"

"0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8"

Response

Successful Response

token_balance
string
required

The balance of AAVE aTokens (interest-bearing representations of your deposits).

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
stable_debt
string
required

The amount of the user's debt with a fixed interest rate.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
variable_debt
string
required

The amount of the user's debt with a variable interest rate.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
principal_stable_debt
string
required

The amount of the user's debt that was part of the initial principal of all loans with a stable interest rate.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
principal_variable_debt
string
required

The amount of the user's debt that was part of the initial principal of all loans with a variable interest rate. This is the value stored by AAVE, which may be slightly inaccurate, but reflects what AAVE believes you initially paid.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
stable_borrow_rate
string
required

The current average annualised interest rate for all your stable loans in this pool.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
stable_borrow_rate_for_new_loans
string
required

The annualised interest rate you would pay on a new stable loan.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
variable_borrow_rate
string
required

The current annualised interest rate for variable rate loans in this pool. (This applies to both current and new loans.)

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
liquidity_rate
string
required

The annualised interest rate for deposited supplies.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$